"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ataResolver = void 0;
const individual_1 = require("./individual");
const spl_token_1 = require("@solana/spl-token");
const utils_1 = require("./utils");
function ataResolver({ instruction, account, mint, owner, }) {
    return (0, individual_1.resolveIndividual)(({ path, accounts, idlIx, provider }) => __awaiter(this, void 0, void 0, function* () {
        var _a;
        if ((typeof instruction === "undefined" || idlIx.name === instruction) && path.join(".") === account) {
            const mintKey = (0, utils_1.get)(accounts, mint.split("."));
            // @ts-ignore
            const ownerKey = owner ? (0, utils_1.get)(accounts, owner.split(".")) : (_a = provider.wallet) === null || _a === void 0 ? void 0 : _a.publicKey;
            if (mintKey && ownerKey) {
                return (0, spl_token_1.getAssociatedTokenAddress)(mintKey, ownerKey, true);
            }
        }
        return undefined;
    }));
}
exports.ataResolver = ataResolver;
//# sourceMappingURL=ataResolver.js.map