"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.combineResolvers = void 0;
function combineResolvers(...resolvers) {
    return (args) => __awaiter(this, void 0, void 0, function* () {
        let resolved = 0;
        let accounts = args.accounts;
        for (let i = 0; i < resolvers.length; i += 1) {
            const resolver = resolvers[i];
            const result = yield resolver(Object.assign(Object.assign({}, args), { accounts }));
            accounts = result.accounts;
            resolved += result.resolved;
        }
        return { accounts, resolved };
    });
}
exports.combineResolvers = combineResolvers;
//# sourceMappingURL=combineResolvers.js.map