"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderCommonResolver = void 0;
const web3_js_1 = require("@solana/web3.js");
const individual_1 = require("./individual");
exports.renderCommonResolver = (0, individual_1.resolveIndividual)(({ path }) => __awaiter(void 0, void 0, void 0, function* () {
    switch (path[path.length - 1]) {
        case "renderCreditsProgram":
            return new web3_js_1.PublicKey("credmYmd1fKyaTCDwUB91MCn6YgCNh3tRfzd7UKjsYn");
        case "circuitBreakerProgram":
            return new web3_js_1.PublicKey("circiqFCstNzaFBji1udQ6txgQBrn29pVSYHNJQo3wZ");
        case "emissionDistributorProgram":
            return new web3_js_1.PublicKey("distZXJ5FYrPhjBhB5P2BQ9B2AsPzJ4TcUSz6hKssP1");
        case "tokenMetadataProgram":
            return new web3_js_1.PublicKey("metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s");
        case "bubblegumProgram":
            return new web3_js_1.PublicKey("BGUMAp9Gq7iTEuizy4pqaxsTyUCBK68MDfK752saRPUY");
        case "compressionProgram":
            return new web3_js_1.PublicKey("cmtDvXumGCrqC1Age74AVPhSRVXJMd8PJS91L8KbNCK");
        case "logWrapper":
            return new web3_js_1.PublicKey("noopb9bkMVfRPU8AsbpTUg8AQkHtKwMYZiFUjNRtMmV");
        case "governanceProgramId":
            return new web3_js_1.PublicKey("hgovkRU6Ghe1Qoyb54HdSLdqN7VtxaifBzRmh9jtd3S");
        case "instructions":
            return new web3_js_1.PublicKey("Sysvar1nstructions1111111111111111111111111");
        default:
            return;
    }
}));
//# sourceMappingURL=renderCommonResolver.js.map