import { PublicKey } from "@solana/web3.js";
import { resolveIndividual } from "./individual";
export const renderCommonResolver = resolveIndividual(async ({ path }) => {
    switch (path[path.length - 1]) {
        case "renderCreditsProgram":
            return new PublicKey("credmYmd1fKyaTCDwUB91MCn6YgCNh3tRfzd7UKjsYn");
        case "circuitBreakerProgram":
            return new PublicKey("circiqFCstNzaFBji1udQ6txgQBrn29pVSYHNJQo3wZ");
        case "emissionDistributorProgram":
            return new PublicKey("distZXJ5FYrPhjBhB5P2BQ9B2AsPzJ4TcUSz6hKssP1");
        case "tokenMetadataProgram":
            return new PublicKey("metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s");
        case "bubblegumProgram":
            return new PublicKey("BGUMAp9Gq7iTEuizy4pqaxsTyUCBK68MDfK752saRPUY");
        case "compressionProgram":
            return new PublicKey("cmtDvXumGCrqC1Age74AVPhSRVXJMd8PJS91L8KbNCK");
        case "logWrapper":
            return new PublicKey("noopb9bkMVfRPU8AsbpTUg8AQkHtKwMYZiFUjNRtMmV");
        case "governanceProgramId":
            return new PublicKey("hgovkRU6Ghe1Qoyb54HdSLdqN7VtxaifBzRmh9jtd3S");
        case "instructions":
            return new PublicKey("Sysvar1nstructions1111111111111111111111111");
        default:
            return;
    }
});
//# sourceMappingURL=renderCommonResolver.js.map