import * as anchor from "@coral-xyz/anchor";
import { CustomAccountResolver } from "@coral-xyz/anchor/dist/cjs/program/accounts-resolver";
import { AllInstructions } from "@coral-xyz/anchor/dist/cjs/program/namespace/types";
import { PublicKey } from "@solana/web3.js";
import { Accounts } from "./utils";
type IndividualResolver = (args: {
    programId: PublicKey;
    provider: anchor.Provider;
    path: string[];
    args: Array<any>;
    accounts: Accounts;
    idlIx: AllInstructions<anchor.Idl>;
}) => Promise<PublicKey | undefined>;
/**
 * Allows custom account resolution by functionaly operating on one account at a time.
 *
 * Check the `path` arg to see the account name being operated on, and use `accounts` , `args` , and `provider` to fill in any
 * details necessary
 *
 * @param resolver
 * @returns
 */
export declare function resolveIndividual<T extends anchor.Idl>(resolver: IndividualResolver): CustomAccountResolver<T>;
export {};
//# sourceMappingURL=individual.d.ts.map