import { Connection, TransactionInstruction } from "@solana/web3.js";
/**
 * Returns an estimate of a prioritization fee for a set of instructions.
 *
 * The estimate is based on the median fees of writable accounts that will be involved in the transaction.
 *
 * @param ixs - the instructions that make up the transaction
 * @returns prioritizationFeeEstimate -- in microLamports
 */
export declare function estimatePrioritizationFee(connection: Connection, ixs: TransactionInstruction[], basePriorityFee?: number): Promise<number>;
export declare function withPriorityFees({ connection, computeUnits, instructions, basePriorityFee }: {
    connection: Connection;
    computeUnits?: number;
    instructions: TransactionInstruction[];
    basePriorityFee?: number;
}): Promise<TransactionInstruction[]>;
//# sourceMappingURL=priorityFees.d.ts.map