import { Asset, AssetProof } from "./mplAssetAPI";
import { Connection, PublicKey, AccountMeta } from "@solana/web3.js";
export type ProofArgsAndAccountsArgs = {
    connection: Connection;
    assetId: PublicKey;
    assetEndpoint?: string;
    getAssetFn?: (url: string, assetId: PublicKey) => Promise<Asset | undefined>;
    getAssetProofFn?: (url: string, assetId: PublicKey) => Promise<AssetProof | undefined>;
};
export declare function proofArgsAndAccounts({ connection, assetId, assetEndpoint, getAssetFn, getAssetProofFn, }: ProofArgsAndAccountsArgs): Promise<{
    accounts: Record<string, PublicKey>;
    asset: Asset;
    args: {
        dataHash: number[];
        creatorHash: number[];
        root: number[];
        index: number;
    };
    remainingAccounts: AccountMeta[];
}>;
//# sourceMappingURL=proofArgsAndAccounts.d.ts.map