/// <reference types="bn.js" />
import * as anchor from '@coral-xyz/anchor';
import { ConfirmOptions, Connection, Keypair, PublicKey, Signer, TransactionInstruction } from '@solana/web3.js';
export declare function mintTo(provider: anchor.AnchorProvider, mint: PublicKey, amount: number | bigint, destination: PublicKey): Promise<void>;
export declare function createAtaAndTransferInstructions(provider: anchor.AnchorProvider, mint: PublicKey, amount: number | anchor.BN, from?: PublicKey, to?: PublicKey, payer?: PublicKey): Promise<{
    instructions: TransactionInstruction[];
    toAta: PublicKey;
}>;
export declare function createAtaAndTransfer(provider: anchor.AnchorProvider, mint: PublicKey, amount: number | anchor.BN, from?: PublicKey, to?: PublicKey, authority?: PublicKey, payer?: PublicKey, confirmOptions?: ConfirmOptions): Promise<PublicKey>;
export declare function createAtaAndMintInstructions(provider: anchor.AnchorProvider, mint: PublicKey, amount: number | anchor.BN, to?: PublicKey, authority?: PublicKey, payer?: PublicKey): Promise<{
    instructions: TransactionInstruction[];
    ata: PublicKey;
}>;
export declare function createAta(provider: anchor.AnchorProvider, mint: PublicKey, owner?: PublicKey, authority?: PublicKey, payer?: PublicKey, confirmOptions?: ConfirmOptions): Promise<PublicKey>;
export declare function createAtaAndMint(provider: anchor.AnchorProvider, mint: PublicKey, amount: number | anchor.BN, to?: PublicKey, authority?: PublicKey, payer?: PublicKey, signers?: Signer[], confirmOptions?: ConfirmOptions): Promise<PublicKey>;
export declare function createMintInstructions(provider: anchor.AnchorProvider, decimals: number, mintAuthority: PublicKey, freezeAuthority?: PublicKey | null, mintKeypair?: Keypair): Promise<TransactionInstruction[]>;
export declare function createMint(provider: anchor.AnchorProvider, decimals: number, mintAuthority: PublicKey, freezeAuthority?: PublicKey | null, mintKeypair?: Keypair): Promise<PublicKey>;
export declare const isAta: (connection: Connection, address: PublicKey, mint?: PublicKey) => Promise<{
    owner: PublicKey;
} | undefined>;
export declare const getBalanceDeltas: (conn: Connection, sig: string, mint?: PublicKey) => Promise<{
    sender: PublicKey;
    deltas: Record<string, number>;
    executedAt: Date;
}>;
//# sourceMappingURL=token.d.ts.map