import BN from "bn.js";
import { Mint } from "@solana/spl-token";
import { Connection, Keypair, TransactionInstruction } from "@solana/web3.js";
export type Truthy<T> = T extends false | "" | 0 | null | undefined ? never : T;
export declare const truthy: <T>(value: T) => value is Truthy<T>;
export declare function toNumber(numberOrBn: bigint | BN | number, mintOrDecimals: Mint | number): number;
export declare function amountAsNum(amount: BN | bigint, mintOrDecimals: Mint | number): number;
export declare function toBN(numberOrBn: BN | number, mintOrDecimals: Mint | number): BN;
export declare function supplyAsNum(mint: Mint): number;
export declare function numberWithCommas(x: number, decimals?: number): string;
export declare function roundToDecimals(num: number, decimals: number): number;
export declare function humanReadableBigint(bigint: bigint, decimals: number, round?: number): string;
export declare function humanReadable(bn: BN, decimalsOrMint: Mint | number): string;
export declare const getSolanaKeypair: (secretKey: string) => Keypair;
export declare function packInstructions<A extends {
    ix: TransactionInstruction;
}>(as: A[], prioFee?: number, computeLimit?: number, additionalIxs?: TransactionInstruction[]): Generator<A[]>;
export declare const pingMillis: (connection: Connection, signer: Keypair) => Promise<number>;
//# sourceMappingURL=utils.d.ts.map